# rpm.livna.org kernel module package configuration for Smart package manager
# Install to /etc/smart/distro.d/ (if using the recommended Smart package
# from Fedora Extras, otherwise include in your distro.py).

if not sysconf.getReadOnly():
    for kvar in ("", "-hugemem", "-kdump", "-smp", "-xen", "-PAE"):
        for kmod in ("fglrx", "madwifi", "ndiswrapper", \
                     "ntfs", "nvidia", "nvidia-legacy"):
            pkgconf.setFlag("multi-version", "kmod-%s%s" % (kmod, kvar))
